package com.cim.idm.wmspackage.materialpacking.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.HistoryDataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class MaterialPackingHistory extends FieldAccessor implements
		HistoryDataInfo<MaterialPackingHistoryKey> {
	private MaterialPackingHistoryKey key;

	private String eventName;
	private Timestamp eventTime;
	private String eventUser;
	private String eventComment;
	private String reasonCodeType;
	private String reasonCode;

	private String materialPackingType;
	private String contentMaterialType;
	private String materialType;
	private String materialSpecName;

	private String superMaterialPackingName;
	private Timestamp makeDate;
	private String packingGrade;
	private int subPackingQuantity;
	private double materialCreateQuantity;
	//private int oldMaterialQuantity;
	private double materialQuantity;
	private String oldPackingState;
	private String packingState;

	private String stockState;
	private String oldStockState;
	private String holdState;
	private String areaName;
	private String locationName;
	private String durableName;
	private String materialProcessGroupName;

	private Timestamp createTime;
	private String createUser;

	private String receiveRequestName;
	private String receiveRequestDetailName;

	private String receiveActNo;
	private Timestamp receiveTime;
	private String receiveUser;

	private String shipRequestName;
	private String shipRequestDetailName;
	private Timestamp shipTime;
	private String shipUser;
	@UserColumnMark
	private String erpLocation;
	@UserColumnMark
	private String erpFactory;
	@UserColumnMark
	private String etcState;


	@UserColumnMark
	private String stockInType;
	@UserColumnMark
	private String charge;
	@UserColumnMark
	private String supplierName;
	@UserColumnMark
	private String unDoID;
	@UserColumnMark
	private String unDoDetailName;
	@UserColumnMark
	private Timestamp erpEventTime;
	private String oqaResult;
	private String oqaResultState;
	@UserColumnMark
	private String messageId;
	@UserColumnMark
	private String erpState;
	private String npFlag;
	private String improvmentFlag;
	private Timestamp expiringDate;
	private String oqaMethod;//值为MRB
	private String remark;//质检备注
	private String mesReceiveFlag;
	private Timestamp mesReceiveTime;
	@UserColumnMark
	private String receiptor;

	private String lkMaterialPackingName;

	private String unit;

	private String exceptionHandling;

	private String specialState;
	private String packingGradeDetail;

	private String CAREER_ASSISTANCE;

	private Timestamp maturationInTime;//熟化入库时间

	private String SALESPERSON;

	private String BUSINESS_UNIT;
	private String durableType;
	private String materialSpecType;

	private String sendMesFlag;
	private String gxId;//管芯

	public String getCAREER_ASSISTANCE() {
		return CAREER_ASSISTANCE;
	}

	public void setCAREER_ASSISTANCE(String CAREER_ASSISTANCE) {
		this.CAREER_ASSISTANCE = CAREER_ASSISTANCE;
	}

	public String getPackingGradeDetail() {
		return packingGradeDetail;
	}

	public void setPackingGradeDetail(String packingGradeDetail) {
		this.packingGradeDetail = packingGradeDetail;
	}


	public String getSALESPERSON() {
		return SALESPERSON;
	}

	public void setSALESPERSON(String sALESPERSON) {
		SALESPERSON = sALESPERSON;
	}

	public String getBUSINESS_UNIT() {
		return BUSINESS_UNIT;
	}

	public void setBUSINESS_UNIT(String bUSINESS_UNIT) {
		BUSINESS_UNIT = bUSINESS_UNIT;
	}

	public String getDurableType() {
		return durableType;
	}

	public void setDurableType(String durableType) {
		this.durableType = durableType;
	}

	public Timestamp getMaturationInTime() {
		return maturationInTime;
	}

	public void setMaturationInTime(Timestamp maturationInTime) {
		this.maturationInTime = maturationInTime;
	}




	public String getMaterialSpecType() {
		return materialSpecType;
	}

	public void setMaterialSpecType(String materialSpecType) {
		this.materialSpecType = materialSpecType;
	}

	public String getExceptionHandling() {
		return exceptionHandling;
	}

	public void setExceptionHandling(String exceptionHandling) {
		this.exceptionHandling = exceptionHandling;
	}

	public String getSpecialState() {
		return specialState;
	}

	public void setSpecialState(String specialState) {
		this.specialState = specialState;
	}

//	public String getPhase() {
//		return phase;
//	}
//
//	public void setPhase(String phase) {
//		this.phase = phase;
//	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public String getLkMaterialPackingName() {
		return lkMaterialPackingName;
	}

	public void setLkMaterialPackingName(String lkMaterialPackingName) {
		this.lkMaterialPackingName = lkMaterialPackingName;
	}
	public String getReceiptor() {
		return receiptor;
	}

	public void setReceiptor(String receiptor) {
		this.receiptor = receiptor;
	}

	public String getMesReceiveFlag() {
		return mesReceiveFlag;
	}

	public void setMesReceiveFlag(String mesReceiveFlag) {
		this.mesReceiveFlag = mesReceiveFlag;
	}

	public Timestamp getMesReceiveTime() {
		return mesReceiveTime;
	}

	public void setMesReceiveTime(Timestamp mesReceiveTime) {
		this.mesReceiveTime = mesReceiveTime;
	}

	public String getOqaMethod() {
		return oqaMethod;
	}

	public void setOqaMethod(String oqaMethod) {
		this.oqaMethod = oqaMethod;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getImprovmentFlag() {
		return improvmentFlag;
	}

	public void setImprovmentFlag(String improvmentFlag) {
		this.improvmentFlag = improvmentFlag;
	}

	public Timestamp getExpiringDate() {
		return expiringDate;
	}

	public void setExpiringDate(Timestamp expiringDate) {
		this.expiringDate = expiringDate;
	}
	public String getMessageId() {
		return messageId;
	}

	public void setMessageId(String messageId) {
		this.messageId = messageId;
	}

	public String getErpState() {
		return erpState;
	}

	public void setErpState(String erpState) {
		this.erpState = erpState;
	}
	@Override
	public MaterialPackingHistoryKey getKey() {
		return this.key;
	}

	@Override
	public void setKey(MaterialPackingHistoryKey arg0) {
		this.key = arg0;
	}

	public String getEventName() {
		return eventName;
	}

	public void setEventName(String eventName) {
		this.eventName = eventName;
	}

	public Timestamp getEventTime() {
		return eventTime;
	}

	public void setEventTime(Timestamp eventTime) {
		this.eventTime = eventTime;
	}

	public String getEventUser() {
		return eventUser;
	}

	public void setEventUser(String eventUser) {
		this.eventUser = eventUser;
	}

	public String getEventComment() {
		return eventComment;
	}

	public void setEventComment(String eventComment) {
		this.eventComment = eventComment;
	}

	public String getReasonCodeType() {
		return reasonCodeType;
	}

	public void setReasonCodeType(String reasonCodeType) {
		this.reasonCodeType = reasonCodeType;
	}

	public String getReasonCode() {
		return reasonCode;
	}

	public void setReasonCode(String reasonCode) {
		this.reasonCode = reasonCode;
	}

	public String getMaterialPackingType() {
		return materialPackingType;
	}

	public void setMaterialPackingType(String materialPackingType) {
		this.materialPackingType = materialPackingType;
	}

	public String getContentMaterialType() {
		return contentMaterialType;
	}

	public void setContentMaterialType(String contentMaterialType) {
		this.contentMaterialType = contentMaterialType;
	}

	public String getMaterialType() {
		return materialType;
	}

	public void setMaterialType(String materialType) {
		this.materialType = materialType;
	}

	public String getMaterialSpecName() {
		return materialSpecName;
	}

	public void setMaterialSpecName(String materialSpecName) {
		this.materialSpecName = materialSpecName;
	}

	public String getSuperMaterialPackingName() {
		return superMaterialPackingName;
	}

	public void setSuperMaterialPackingName(String superMaterialPackingName) {
		this.superMaterialPackingName = superMaterialPackingName;
	}

	public Timestamp getMakeDate() {
		return makeDate;
	}

	public void setMakeDate(Timestamp makeDate) {
		this.makeDate = makeDate;
	}

	public String getPackingGrade() {
		return packingGrade;
	}

	public void setPackingGrade(String packingGrade) {
		this.packingGrade = packingGrade;
	}

	public int getSubPackingQuantity() {
		return subPackingQuantity;
	}

	public void setSubPackingQuantity(int subPackingQuantity) {
		this.subPackingQuantity = subPackingQuantity;
	}

	public double getMaterialCreateQuantity() {
		return materialCreateQuantity;
	}

	public void setMaterialCreateQuantity(double materialCreateQuantity) {
		this.materialCreateQuantity = materialCreateQuantity;
	}

//	public int getOldMaterialQuantity() {
//		return oldMaterialQuantity;
//	}
//
//	public void setOldMaterialQuantity(int oldMaterialQuantity) {
//		this.oldMaterialQuantity = oldMaterialQuantity;
//	}



	public String getOldPackingState() {
		return oldPackingState;
	}

	public double getMaterialQuantity() {
		return materialQuantity;
	}

	public void setMaterialQuantity(double materialQuantity) {
		this.materialQuantity = materialQuantity;
	}

	public void setOldPackingState(String oldPackingState) {
		this.oldPackingState = oldPackingState;
	}

	public String getPackingState() {
		return packingState;
	}

	public void setPackingState(String packingState) {
		this.packingState = packingState;
	}

	public String getStockState() {
		return stockState;
	}

	public void setStockState(String stockState) {
		this.stockState = stockState;
	}

	public String getOldStockState() {
		return oldStockState;
	}

	public void setOldStockState(String oldStockState) {
		this.oldStockState = oldStockState;
	}

	public String getHoldState() {
		return holdState;
	}

	public void setHoldState(String holdState) {
		this.holdState = holdState;
	}

	public String getAreaName() {
		return areaName;
	}

	public void setAreaName(String areaName) {
		this.areaName = areaName;
	}

	public String getLocationName() {
		return locationName;
	}

	public void setLocationName(String locationName) {
		this.locationName = locationName;
	}

	public String getDurableName() {
		return durableName;
	}

	public void setDurableName(String durableName) {
		this.durableName = durableName;
	}

	public String getMaterialProcessGroupName() {
		return materialProcessGroupName;
	}

	public void setMaterialProcessGroupName(String materialProcessGroupName) {
		this.materialProcessGroupName = materialProcessGroupName;
	}

	public Timestamp getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Timestamp createTime) {
		this.createTime = createTime;
	}

	public String getCreateUser() {
		return createUser;
	}

	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}

	public String getReceiveRequestName() {
		return receiveRequestName;
	}

	public void setReceiveRequestName(String receiveRequestName) {
		this.receiveRequestName = receiveRequestName;
	}

	public String getReceiveRequestDetailName() {
		return receiveRequestDetailName;
	}

	public void setReceiveRequestDetailName(String receiveRequestDetailName) {
		this.receiveRequestDetailName = receiveRequestDetailName;
	}

	public String getReceiveActNo() {
		return receiveActNo;
	}

	public void setReceiveActNo(String receiveActNo) {
		this.receiveActNo = receiveActNo;
	}

	public Timestamp getReceiveTime() {
		return receiveTime;
	}

	public void setReceiveTime(Timestamp receiveTime) {
		this.receiveTime = receiveTime;
	}

	public String getReceiveUser() {
		return receiveUser;
	}

	public void setReceiveUser(String receiveUser) {
		this.receiveUser = receiveUser;
	}

	public String getShipRequestName() {
		return shipRequestName;
	}

	public void setShipRequestName(String shipRequestName) {
		this.shipRequestName = shipRequestName;
	}

	public String getShipRequestDetailName() {
		return shipRequestDetailName;
	}

	public void setShipRequestDetailName(String shipRequestDetailName) {
		this.shipRequestDetailName = shipRequestDetailName;
	}

	public Timestamp getShipTime() {
		return shipTime;
	}

	public void setShipTime(Timestamp shipTime) {
		this.shipTime = shipTime;
	}

	public String getShipUser() {
		return shipUser;
	}

	public void setShipUser(String shipUser) {
		this.shipUser = shipUser;
	}
	public String getErpLocation() {
		return erpLocation;
	}

	public void setErpLocation(String erpLocation) {
		this.erpLocation = erpLocation;
	}
	public String getErpFactory() {
		return erpFactory;
	}

	public void setErpFactory(String erpFactory) {
		this.erpFactory = erpFactory;
	}
	public String getEtcState() {
		return etcState;
	}

	public void setEtcState(String etcState) {
		this.etcState = etcState;
	}

	public String getStockInType() {
		return stockInType;
	}

	public void setStockInType(String stockInType) {
		this.stockInType = stockInType;
	}

	public String getCharge() {
		return charge;
	}

	public void setCharge(String charge) {
		this.charge = charge;
	}

	public String getSupplierName() {
		return supplierName;
	}

	public void setSupplierName(String supplierName) {
		this.supplierName = supplierName;
	}

	public String getUnDoID() {
		return unDoID;
	}

	public void setUnDoID(String unDoID) {
		this.unDoID = unDoID;
	}

	public String getUnDoDetailName() {
		return unDoDetailName;
	}

	public void setUnDoDetailName(String unDoDetailName) {
		this.unDoDetailName = unDoDetailName;
	}

	public Timestamp getErpEventTime() {
		return erpEventTime;
	}

	public void setErpEventTime(Timestamp erpEventTime) {
		this.erpEventTime = erpEventTime;
	}

	public String getOqaResult() {
		return oqaResult;
	}

	public void setOqaResult(String oqaResult) {
		this.oqaResult = oqaResult;
	}

	public String getOqaResultState() {
		return oqaResultState;
	}

	public void setOqaResultState(String oqaResultState) {
		this.oqaResultState = oqaResultState;
	}
	public String getNpFlag() {
		return npFlag;
	}

	public void setNpFlag(String npFlag) {
		this.npFlag = npFlag;
	}

	public String getSendMesFlag() {
		return sendMesFlag;
	}

	public void setSendMesFlag(String sendMesFlag) {
		this.sendMesFlag = sendMesFlag;
	}

	public String getGxId() {
		return gxId;
	}

	public void setGxId(String gxId) {
		this.gxId = gxId;
	}

}
